package cn.quantgroup.xyqb.entity;

import java.time.LocalDate;
import java.util.Date;

/**
 * Created by Administrator on 2021/8/27 0027.
 */
public class EntityBuilder {

    public static ProductLoginEntity productLogin(String productId, String institutionId, String phoneNo,
                                                  Long customerId, String customerName, Integer partitionKey, Long id) {
        ProductLoginEntity entity = new ProductLoginEntity();
        entity.setId(id);
        entity.setCustomerId(customerId);
        entity.setCustomerName(customerName);
        entity.setPhoneNo(phoneNo);
        entity.setProductId(productId);
        entity.setInstitutionId(institutionId);
        entity.setPartitionKey(partitionKey);

        entity.setPassword("");
        entity.setSaltValue("");
        entity.setStatus("");
        entity.setBatchNo(1);
        entity.setCreatedDate(new Date());
        entity.setModifiedDate(new Date());
        entity.setCreatedBy("");
        entity.setModifiedBy("");
        return entity;
    }

}
